import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AuthService } from '../services/auth.service';
export declare class ApiAuthInterceptor implements HttpInterceptor {
    private config;
    private authService;
    constructor(config: any, authService: AuthService);
    intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    private isWhitelistedDomain;
}
